package sgc.portal.ll.ll0102.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ll.ll0102.model.LL01020001U;
import sgc.portal.ll.ll0102.dto.LL01020001USearch;
import sgc.portal.ll.ll0102.service.LL01020001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/ll/ll0102")
public class LL01020001UController {
    private final LL01020001UService service;

    public LL01020001UController(LL01020001UService service) {
        this.service = service;
    }

    @PostMapping("/LL01020001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody LL01020001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/LL01020001U/save")
    public Map<String, String> save(@RequestBody List<LL01020001U> LL01020001U) {
    	return service.save(LL01020001U);
    }
}
